QTextEncoder(3qt)

NAME
QTextEncoder - State-based encoder

#include <qtextcodec.h>

  Public Members
virtual ~QTextEncoder ()
virtual QCString fromUnicode ( const QString & uc, int & lenInOut )

DESCRIPTION
State-based encoder

A QTextEncoder converts Unicode into another format, remembering any state that is required between calls.

See also QTextCodec::makeEncoder().

MEMBER FUNCTION DOCUMENTATION

QTextEncoder::~QTextEncoder () [virtual]
Destructs the encoder.

QCString QTextEncoder::fromUnicode ( const QString & uc, int & lenInOut ) [virtual]
Converts lenInOut characters (not bytes) from uc, producing a QCString. lenInOut will also be set to the length of the result (in bytes).

The encoder is free to record state to use when subsequent calls are made to this function (for example, it might change modes with escape sequences if needed during the encoding of one string, then assume that mode applies when a subsequent call begins).

SEE ALSO
http://doc.trolltech.com/qtextencoder.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qtextencoder.3) and the Qt version (2.3.0).